ru.bitel.bgbilling.modules.runtel.common.service

## Interface RunTelService

-     public interface RunTelService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteContractTariff(int id)`
    `RunTelContractTariff` | `getContractTariff(int contractTariffId)`
    `java.util.List<RunTelIdPeriod>` | `getContractTariffIds(int contractId)`
    `java.time.LocalDate` | `getOnDateContractTariff(int contractId)`
    `RunTelTariff` | `getRunTelTariff(int id)`
    `java.util.List<TariffAdditionalItem>` | `getTariffAdditionalServiceItems()`
    `java.util.List<TariffIncludeItem>` | `getTariffIncludeItems()`
    `java.util.List<TariffServiceItem>` | `getTariffServiceItems()`
    `SearchResult<RunTelContractTariff>` | `searchContractRunTelTariff(int contractId, Period perid)`
    `SearchResult<RunTelTariff>` | `searchRunTelTariff()`
    `int` | `updateContractTariff(RunTelContractTariff runTelContractTariff)`
    `void` | `updateContractTariffDateTo(int contractTariffId, java.time.LocalDate dateTo)`
    `void` | `updateTariff(RunTelTariff runTelTariff)`

- - ### Method Detail

    - #### searchContractRunTelTariff

          SearchResult<RunTelContractTariff> searchContractRunTelTariff(int contractId,
                                                                        Period perid)
                                                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchRunTelTariff

          SearchResult<RunTelTariff> searchRunTelTariff()
                                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getRunTelTariff

          RunTelTariff getRunTelTariff(int id)
                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateTariff

          void updateTariff(RunTelTariff runTelTariff)
                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractTariff

          RunTelContractTariff getContractTariff(int contractTariffId)
                                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getOnDateContractTariff

          java.time.LocalDate getOnDateContractTariff(int contractId)
                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateContractTariff

          int updateContractTariff(RunTelContractTariff runTelContractTariff)
                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateContractTariffDateTo

          void updateContractTariffDateTo(int contractTariffId,
                                          java.time.LocalDate dateTo)
                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteContractTariff

          void deleteContractTariff(int id)
                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTariffServiceItems

          java.util.List<TariffServiceItem> getTariffServiceItems()
                                                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTariffIncludeItems

          java.util.List<TariffIncludeItem> getTariffIncludeItems()
                                                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTariffAdditionalServiceItems

          java.util.List<TariffAdditionalItem> getTariffAdditionalServiceItems()
                                                                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractTariffIds

          java.util.List<RunTelIdPeriod> getContractTariffIds(int contractId)
                                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`